"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const slash_1 = __importDefault(require("slash"));
exports.createBuiltInBailPlugin = () => {
    const isbuiltin = require('isbuiltin');
    return {
        name: 'vite:node-built-in-bail',
        resolveId(id, importer) {
            if (isbuiltin(id)) {
                let importingDep;
                if (importer) {
                    const match = slash_1.default(importer).match(/\/node_modules\/([^@\/][^\/]*|@[^\/]+\/[^\/]+)\//);
                    if (match) {
                        importingDep = match[1];
                    }
                }
                const dep = importingDep
                    ? `Dependency "${importingDep}"`
                    : `A dependnecy`;
                throw new Error(`${dep} is attempting to import Node built-in module "${id}". ` +
                    `This will not work in a browser environment.`);
            }
            return null;
        }
    };
};
//# sourceMappingURL=pluginBuiltInBail.js.map